Aex Brain
HTTP APIAPI

Flush external state

Uploads local event history and the latest completed checkpoint to external storage and returns the resulting checkpoint reference. Requires a management token and configured persistence.

POST/sessions/{id}/flush
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque session ID.

Match^[a-fA-F0-9]{32}$

Response Body

application/json

application/json

curl -X POST "https://example.com/sessions/string/flush" \  -H "Authorization: Bearer YOUR_TOKEN"
{  "checkpoint": "string",  "error": "string",  "history_bytes": 0,  "native_checkpoint": "string",  "pending": true,  "resume_offset": 0,  "time": "2019-08-24T14:15:22Z"}